from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetLinkable(XInterface, Protocol):
    def getLinkMode(self) -> SheetLinkMode: ...
    def setLinkMode(self, nLinkMode: SheetLinkMode) -> None: ...
    def getLinkUrl(self) -> str: ...
    def setLinkUrl(self, aLinkUrl: str) -> None: ...
    def getLinkSheetName(self) -> str: ...
    def setLinkSheetName(self, aLinkSheetName: str) -> None: ...
    def link(self, aUrl: str, aSheetName: str, aFilterName: str, aFilterOptions: str, nMode: SheetLinkMode) -> None: ...
